﻿/* @font-face {
    font-family: Microsoft Yahei;
    font-style: normal;
    font-weight: normal;
    src: url("cn-600803/FZXKTJW.ttf") format("truetype");
} */

/* --------- Styles affecting all analyst pages (pid1, pid2, pid3, pid4, pid5, pid6) --------- */

body {
    font-weight: normal;
    background: transparent;
    margin: 0px;
    color: #333333;
    font-family: Arial, sans-serif;
    font-size: 16px;
}

body.zh {
    font-family: Microsoft Yahei, Arial, sans-serif;
}

H1 {
    font-size: inherit;
    font-weight: inherit;
    margin-bottom: 3px;
    line-height: 20px;
    height: 20px;
}

H2 {
    font-size: inherit;
    font-weight: inherit;
    padding-right: 15px;
}

.ar H2 {
    padding-right: 0px;
    padding-left: 15px;
}

A:link,
A:visited {
    color: #333333;
    text-decoration: none;
}

A:hover,
A:active {
    color: #006EBD;
    text-decoration: underline;
}

SPAN.lHeading {
    visibility: hidden;
}

SPAN.lHeading A:link,
SPAN.lHeading A:visited,
SPAN.lHeading A:hover,
SPAN.lHeading A:active {
    visibility: visible;
}

td.datagraphicon {
    width: 3%;
}

body.ar td.datagraphicon {
    width: 10%;
}

.textBox {
    font-family: inherit;
    font-size: inherit;
    color: #7f7f7f;
    border-right: #cccccc 1px solid;
    border-top: #cccccc 1px solid;
    border-left: #cccccc 1px solid;
    border-bottom: #cccccc 1px solid;
    padding-left: 2px;
    padding-top: 2px;
    height: 42px;
    width: 200px;
    box-sizing: border-box;
}

body.ar input.textBox {
    width: 90px;
}

input.btn {
    background: #006EBD;
    color: #FFF;
    border: 1px solid #006EBD;
    font-family: inherit;
    font-size: inherit;
    height: 42px;
    width: 180px;
    border-radius: 3em 3em 3em 3em;
    transition: background 0.5s, color 0.5s, border 0.5s;
}

input.btn:hover {
    cursor: pointer;
    background: #006EBD;
    color: #FFF;
}

.highlightedcell {
    padding: 3px 4px 3px 2px;
    text-align: right;
    white-space: nowrap;
    background: rgb(236, 236, 236);
    background: rgba(236, 236, 236, 0.5);
}

TD.datanumber {
    padding: 3px 4px 3px 2px;
    white-space: nowrap;
    text-align: right;
}

.maintable {
    width: 100%;
    margin: 0 auto;
    max-width: 100%;
    max-width: expression(this.width > 980 ? '980px' : true);
}

table.gridtable {
    width: 100%;
    border: 0px solid #E1E1E1;
    border-top: 0;
}

table.gridtable TD {
    vertical-align: top;
    padding: 12.5px 0.6em;
    border-top: 0px solid #E1E1E1;
    border-bottom: 1px solid #E1E1E1;
}

tr.tableheading td {
    border-bottom: 2px solid #006EBD;
    border-top: 0px solid #E1E1E1;
    font-weight: bold;
}

table.contributors TD {
    width: 250px;
}

table.ContributorHeaderTable td,
table.contributors td {
    padding-left: 0px;
}

table.ContributorHeaderTable,
table.contributors {
    border-spacing: 0px;
}

.tableheading TD a:hover {
    text-decoration: none;
}

.tableheading TD,
.tableheading TD a {
    color: #006EBD !important;
    background: #FFF;
}

TABLE.gridtable TR.tableheading TD {
    vertical-align: middle;
}

.tableheading TD A:link,
.tableheading TD A:active {
    color: #333333;
}

.tableheading TD A:visited,
.tableheading TD A:hover {
    color: #8ac640;
}

TABLE.rectable + TABLE.footertable > TBODY > TR > TD {
    padding-top: 20px;
    padding-bottom: 10px;
}

TABLE.contributors + BR + TABLE.footertable > TBODY > TR > TD {
    padding-top: 10px;
    padding-bottom: 10px;
}

TABLE.footertable TD {
    border-collapse: collapse;
}

.updated {
    text-align: right;
    font-size: 16px;
}

TD.euroland {
    text-align: right;
    padding-top: 10px;
}

.nowrap {
    white-space: nowrap;
}

TR.tableheading TD.analyst_header {
    padding-left: 0.3em;
}

.period_header {
    text-align: right;
}

TD.period_header {
    width: 70px;
}

TABLE.rectable {
    border-collapse: collapse;
    margin: 15px 0;
}

DIV.recspace {
    height: 25px;
}

DIV.contrspace {
    height: 15px;
}

.selectperioddescription {
    vertical-align: top;
}

DIV.dateselectionbox {
    padding: 5px 15px 15px 15px;
    border: 1px #f4f6f9 solid;
    background-color: #f4f6f9;
    border-collapse: collapse;
    font-size: 18px;
}

DIV.dateselectionbox table {
    border-spacing: 0px;
    border-collapse: collapse;
}

.selectDateRTBs {
    padding-bottom: 10px;
    padding-top: 0px;
}

div.time-period {
    margin-right: 20px;
}

td.calendarTD img {
    opacity: 1;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    width: 16px;
    height: 16px;
    z-index: 100;
    position: absolute;
    left: 10px;
    top: 16px;
}

td.calendarTD {
    position: relative;
    padding-left: 10px;
    padding-right: 22px;
}

body.ar td.calendarTD {
    padding-left: 22px;
    padding-right: 10px;
}

/*

td.calendarTD:after {
    content: "\f073";
    font-family: FontAwesome;
    opacity: 1;
    color: #000;
    font-size: 25px;
    transition: color 0.5s;
    z-index: 2;
}
*/

TD.selectperioddescription SPAN{
    line-height: 20px;
}

td.calendarTD:hover:after {
    color: #006a56;
}

/* start of bundle links */
.tdPageLinksActive a,
.tdPageLinks a:hover {
    background: transparent;
    border: 0 none;
    color: #006EBD;
    border-color: #006EBD;
    height: 48px;
    line-height: 46px;
    padding: 0px 1em;
    display: block;
    border-bottom: 2px solid #006EBD;
    text-decoration: none;
    position: relative;
    box-sizing: border-box;
    font-weight: bold;
    text-transform: capitalize;
    font-size: 20px;
}

.tdPageLinks a {
    height: 48px;
    line-height: 46px;
    padding: 0px 1em;
    color: #333333;
    transition: background 0.5s, color 0.5s, border 0.5s;
    text-decoration: none;
    font-size: 20px;
    width: auto;
    display: block;
    box-sizing: border-box;
    background: #FFFFFF;
    border-bottom: 2px solid transparent;
    font-weight: bold;
    text-transform: capitalize;
}

.tdPageLinksActive a:before {
    content: "";
    width: 0;
    height: 0;
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -0.5em;
    border-left: 0.5em solid transparent;
    border-right: 0.5em solid transparent;
    border-top: 0.5em solid #006EBD;
}

/* end of bundle links */
div.euroland table.footertable:nth-last-of-type(3) table td:nth-of-type(2) {
    vertical-align: middle;
    /* this fixes an unnecessary vertical alignment in code */
}

div.euroland table.footertable:nth-last-of-type(3) table {
    border-spacing: 0px;
    /* this fixes an unnecessary cellspacing in code of pid1 page */
}

div.euroland table.footertable:nth-last-of-type(3) table td {
    padding: 0px;
}

div.pid1 div.euroland table.footertable:nth-last-of-type(3) table td:nth-of-type(2) {
    font-size: 0px;
}

div.euroland table.footertable:nth-last-of-type(3) table td:first-child {
    color: #006ebd;
    font-weight: bold;
}

a.pdfdownload img {
    margin-left: 4px;
    margin-right: 4px;
}



/* --------- Styles for "analyst coverage and recommendations" page only (pid1) --------- */

TD.data {
    padding: 3px 2px 3px 5px;
}

table.dataT {
    margin-top: 0px;
    width: auto;
    border-collapse: collapse;
}

.pid1 td.company {
    max-width: 120px;
    padding-right: 5px;
}

td.country {
    min-width: 25%;
}

.value1 {
    color: #009900;
}

.value2 {
    color: #a2b836;
}

.value3 {
    color: #f8b84c;
}

.value4 {
    color: #f87736;
}

.value5 {
    color: #ea0000;
}

span.hiddendivA {
    padding-top: 5px;
    padding-bottom: 4px;
}

.hiddendiv {
    display: none;
    padding: 0.3em 0.6em 0.8em 0.6em;
}

.hiddendiv div {
    width: 340px;
    /*do not delete, but only modify! Otherwise nothing would stop the sector details text from going over the edge.*/
    max-width: 320px;
    max-width: expression(this.width>310?"310px": !0);
    width: auto !important;
}

DIV.hiddendiv A:link,
DIV.hiddendiv A:visited {
    text-decoration: underline;
}

DIV.hiddendiv A:active,
DIV.hiddendiv A:hover {
    text-decoration: none;
}

td.data_analyst {
    padding: 0 !important;
}

tr.tableheading td.analyst_header {
    padding: 0.6em;
}

table.dataT td.analyst_name {
    border: 0;
}


/* --------- Styles for "consensus estimates" pages only (pid2, pid3, pid4) --------- */

TD.dataindicator {
    padding: 3px 2px 3px 4px;
    width: 32%;
    margin: 0px;
}

TD.datagraphicon A:link,
TD.datagraphicon A:active,
TD.datagraphicon A:visited {
    display: inline-block;
    position: relative;
    width: 20px;
    height: 20px;
    top: 0;
    left: 0;
    text-decoration: none !important;
}

TD.datagraphicon A:after {
    content: "\f080";
    position: absolute;
    top: 0;
    font-family: FontAwesome;
    left: 0;
    color: #000;
    transition: color 0.5s;
    font-size: 20px;
}

TD.datagraphicon A:hover:after {
    color: #006a56;
}

TD.datagraphicon {
    padding-left: 1px;
    padding-right: 3px;
    padding-top: 3px;
    text-align: center;
}

DIV.lheadDiv {
    display: none;
}

.highlightedrow {
    font-weight: bold;
    padding-left: 0px;
    display: inline-block;
}

DIV.highcharts-container {
    font-size: inherit !important;
    font-family: inherit !important;
}

SPAN.highcharts-title {
    font-family: inherit !important;
    font-weight: inherit !important;
    font-size: inherit !important;
    color: inherit !important;
}

DIV.pid2 TABLE.gridtable A:link,
DIV.pid2 TABLE.gridtable A:visited,
A:link DIV.highlightedrow,
A:visited DIV.highlightedrow {
    text-decoration: underline;
}

DIV.pid2 TABLE.gridtable A:hover,
DIV.pid2 TABLE.gridtable A:active,
DIV.pid2 TABLE.gridtable A:hover DIV.highlightedrow,
DIV.pid2 TABLE.gridtable A:active DIV.highlightedrow {
    text-decoration: none;
}

span.AnalystIndicatorComment {
    display: block;
    padding: 4px 0px 0px 10px;
    font-style: italic;
    line-height: inherit;
}

div.pid2 td.analyst_header font,
div.pid3 td.analyst_header font,
div.pid4 td.analyst_header font {
    display: inline-block;
    white-space: nowrap;
}


/* --------- Styles for "recommendation overview" page only (pid5) --------- */

.pid5 H1 {
    display: none;
}

.maintablerec {
    width: 100%;
    margin: 0 auto;
    max-width: 100%;
    max-width: expression(this.width > 980 ? '980px' : true);
}

TABLE.gridRecomend TD.period_header {
    width: 12%;
}

DIV.recommendationbox {
    background: #006EBD;
    text-align: center;
    color: #ffffff;
    font-weight: normal;
}

.recboxlabel {
    font-weight: bold;
}

DIV.pid5 TD.updated {
    padding-top: 7px;
    padding-bottom: 2px;
}

.reclastupdated {
    text-align: right;
    padding-top: 10px;
    padding-bottom: 2px;
}

.reclastupdated-ar {
    text-align: left;
    padding-top: 10px;
    padding-bottom: 10px;
}

TD.recheading {
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 2px;
    padding-bottom: 2px;
    vertical-align: bottom;
}

TD.recheading h2 {
    padding-top: 0px;
    line-height: 12px;
    margin-bottom: 3px;
}

TABLE.roundedtable {
    display: none;
}

DIV.recspace2 {
    height: 1px;
}

/* start of recommendation bar scale */
.recconsensus {
    position: relative;
}

.recconsensus:after {
    display: inline-block;
    content: " ";
    width: 1px;
    height: 5px;
    background: rgba(255, 255, 255, 0.5);
    position: absolute;
    top: 0;
    right: 0;
}

.recconsensus:before {
    display: inline-block;
    content: " ";
    width: 1px;
    height: 5px;
    background: rgba(255, 255, 255, 0.5);
    position: absolute;
    bottom: 0;
    right: 0;
}

.recconsensus:last-child:after,
.recconsensus:last-child:before {
    display: none;
}

/* end of recommendation bar scale */
/* start of rating colors */
.greenbar1,
.greenbar2,
.greenbar3,
.greenbar4,
.greenbar5 {
    height: 30px;
    min-width: 3px;
}

.greenbar1 {
    background-color: #009900;
}

.greenbar2 {
    background-color: #a2b836;
}

.greenbar3 {
    background-color: #f8b84c;
}

.greenbar4 {
    background-color: #f87736;
}

.greenbar5 {
    background-color: #ea0000;
}

.recstripe {
    background: -moz-linear-gradient(left, #009900 0%, #a2b836 25%, #f8b84c 50%, #f87736 75%, #ea0000 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(left, #009900 0%, #a2b836 25%, #f8b84c 50%, #f87736 75%, #ea0000 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, #009900 0%, #a2b836 25%, #f8b84c 50%, #f87736 75%, #ea0000 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#009900', endColorstr='#ea0000', GradientType=1);
    /* IE6-9 */
    /* https://www.colorzilla.com/gradient-editor/ */
}

/* end of rating colors */
.recconsensus {
    width: 20%;
    min-width: 90px;
    height: 28px;
    text-align: center;
    color: #ffffff;
    white-space: nowrap;
}

.datarectable {
    white-space: nowrap;
    padding: 3px 3px 3px 5px;
}

div.borderrec,
div.borderrec-ar {
    padding: 0px 0px 5px 15px;
    border: 1px #d7d9da solid;
    background-color: #ffffff;
}

div.borderrec table {
    border-collapse: collapse;
}

div.borderrecdetailed {
    padding: 10px 20px 10px 15px;
    border: 1px #d7d9da solid;
    background-color: #ffffff;
}

table.detailedrec {
    width: 100%;
    padding: 4px;
}

TABLE.detailedrec TD {
    padding-top: 4px;
    padding-bottom: 4px;
}

TABLE.detailedrec TD.barrating {
    white-space: nowrap;
    width: 10px;
    padding-right: 10px;
}

.pointerNav IMG {
    position: relative;
    top: -4px;
}

TD.pointervalue DIV {
    width: 40px;
    top: -5px;
}

div.pid5 svg g:nth-last-of-type(2) text {
  transform: translateX(-4px);
}

div.pid5 div#targetPriceChart svg g:last-of-type text:first-of-type tspan {
  visibility: hidden; 
}


/* --------- Styles for "rating tickerbox" page only (pid6) --------- */

.ACBox {
    width: 115px;
    border-collapse: collapse;
}

TD.ACBox_header {
    display: none;
}

.jspPane {
    width: 100% !important;
}

.tbPageLinks tbody {
    display: block;
}

.trPageLinks {
    display: block;
    text-align: center;
    margin-bottom: 2em;
}

.trPageLinks td {
    display: inline-block;
}

DIV.supply-by-box, 
DIV.supply-by-box > SPAN a{
    font-size: 13px;
    color: #666666;
}

DIV.supply-by-box > SPAN a:hover{
    color: #006EBD;
    text-decoration: underline;
}
TABLE.footertable SPAN.lDisclaimer,
SPAN.ContributorHeader{
    font-weight: bold;
}

TABLE.footertable TD {
    border-collapse: collapse;
}

SPAN.lReadMore A {
    color: #006ebd;
}

DIV.exceldownload IMG, 
TABLE.footertable TABLE INPUT{
    height: 25px;
}

.box-content div:first-child {
    padding-bottom: 10px;
}

TABLE.footertable {
    color: #666666;
}

body.zh tspan,
body.zh span {
    font-family: Microsoft Yahei, Arial, sans-serif !important;
}
